Bug 453821 - Review Request: mk-files - Support files for bmake, the NetBSD make(1) tool
Review Request: mk-files - Support files for bmake, the NetBSD make(1) tool
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Mamoru TASAKA
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 452872
  Show dependency treegraph
 
Reported: 2008-07-02 15:26 EDT by Julio Merino
Modified: 2008-08-12 14:21 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-07-09 13:38:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mtasaka: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Julio Merino 2008-07-02 15:26:20 EDT
Spec URL: ftp://portal.pc.ac.upc.edu/pub/fedora/mk-files.spec
SRPM URL: ftp://portal.pc.ac.upc.edu/pub/fedora/mk-files-20070430-1.fc10.src.rpm

Description:
The mk-files package provides some bmake macros derived from the NetBSD
bsd.*.mk macros.  These macros allow the creation of simple Makefiles to
build all kinds of targets, including, for example, C/C++ programs and/or
shared libraries.
Comment 1 Mamoru TASAKA 2008-07-02 20:33:51 EDT
Will check later
Comment 2 Mamoru TASAKA 2008-07-03 02:24:10 EDT
+ Very simple package
  + spec file clean
  + tarball matches upstream
  + builds on dist-f10
    http://koji.fedoraproject.org/koji/taskinfo?taskID=693763
  + installs cleanly
  + seems no problem after installation
  + for naming see bug 452872

+ Currently blocked by NEEDSPONSOR, another review request seems clean to some
  extent (bug 452872)

----------------------------------------------------------------------------
      This package (mk-files) is APPROVED by me
----------------------------------------------------------------------------

Please follow the procedure written on:
http://fedoraproject.org/wiki/PackageMaintainers/Join
from "Get a Fedora Account".
At a point a mail should be sent to sponsor members which notifies
that you need a sponsor. At the stage, please also write on
this bug for confirmation that you requested for sponsorship and
your FAS (Fedora Account System) name. Then I will sponsor you.

If you want to import this package into Fedora 8/9, you also have
to look at
http://fedoraproject.org/wiki/Infrastructure/UpdatesSystem/Bodhi-info-DRAFT
(after once you rebuilt this package on koji Fedora rebuilding system).

If you have questions, please ask me.
Comment 3 Mamoru TASAKA 2008-07-09 03:46:05 EDT
Removing NEEDSPONSOR. Please follow "Join" wiki again.
Comment 4 Julio Merino 2008-07-09 07:05:19 EDT
New Package CVS Request
=======================
Package Name: mk-files
Short Description: Support files for bmake, the NetBSD make(1) tool
Owners: jmmv
Branches:
InitialCC:
Cvsextras Commits: yes
Comment 5 Mamoru TASAKA 2008-07-09 07:24:14 EDT
Do you want to import this package to rawhide branch only?
If you want to import this also to F-9 or other branches, add the needed branches
and rewrite CVS request.
Comment 6 Julio Merino 2008-07-09 08:53:44 EDT
Per mtasaka's suggestion:

New Package CVS Request
=======================
Package Name: mk-files
Short Description: Support files for bmake, the NetBSD make(1) tool
Owners: jmmv
Branches: F-9
InitialCC:
Cvsextras Commits: yes
Comment 7 Kevin Fenzi 2008-07-09 12:57:41 EDT
cvs done.
Comment 8 Julio Merino 2008-07-09 13:38:11 EDT
I think I've done everything so far for mk-files, except submitting it to bodhi
for inclusion in Fedora 9.  Was everything correct?
Comment 9 Mamoru TASAKA 2008-07-09 13:52:35 EDT
Well,
- For devel branch, you will also be able to build bmake after waiting one hour
or so
  (By the way, on devel branch chain-build method is useful:
   https://fedoraproject.org/wiki/PackageMaintainers/UsingKoji#Chained_builds )

- For F-9 branch, if you want to push both mk-files and bmake simultaneously to
F-9 stable
  repo,
  * First ask rel-eng team (rel-eng _AT_ fedoraproject.org) to tag F-9 mk-files rpm
    (i.e. mk-files-20070430-1.fc9) as 'dist-f9-override'.
  * After rel-eng team tags it, you can build bmake on F-9 branch.
  * Then you can request to push both mk-files and bmake as 'one set' on
    https://admin.fedoraproject.org/updates/
Comment 10 Fedora Update System 2008-07-10 03:16:37 EDT
bmake-20080515-1.fc9,mk-files-20070430-1.fc9 has been submitted as an update for Fedora 9
Comment 11 Fedora Update System 2008-08-12 14:21:28 EDT
bmake-20080515-1.fc9, mk-files-20070430-1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.